Package org.gradle.api.artifacts.result

# Interface ComponentResult

All Known Subinterfaces:
  `ComponentArtifactsResult`, `UnresolvedComponentResult`

@Incubating public interface ComponentResult
The result of resolving a component.

Since:
  2.0

## Method Summary

Modifier and Type
Method
Description
`ComponentIdentifier`
`getId()`
Returns an identifier for the requested component.

## Method Details

### getId

ComponentIdentifier getId()
Returns an identifier for the requested component.